###
### Converts input in Bayeux to HTML
###

require 'json'

class BayeuxFilter < Nanoc3::Filter
  identifier :bayeux
  type :text

  def run(content, params={})
    syntax_tree = Bayeux.new
    syntax_tree.parse(content)
    
    # Update the master reference list
    # using the data in the 'new' AST
    $reference.update(syntax_tree)
    
    #puts syntax_tree.to_s
    #text_gen = BayeuxTextGen.new(syntax_tree)
    #puts "---"
    #puts syntax_tree.to_s
    #puts "---"
    
    puts "---"
    puts JSON.pretty_generate(syntax_tree)
    puts "---"
    
    
    #latex_gen = BayeuxLatexGen.new(syntax_tree)
    #puts "---"
    #puts latex_gen.generate
    #puts "---"
    
    
    html_gen = BayeuxHTMLGen.new(syntax_tree)
    
    # Get the document ToC from the AST (as HTML)
    @item[:toc] = html_gen.doc_toc
    
    # Return the AST rendered in HTML 
    return html_gen.generate
  end
end
