include Nanoc3::Helpers::Breadcrumbs

def breadcrumbs_list
  page_path = breadcrumbs_trail
  
  puts "==="
  @site.items.each{|item|
    puts "found: #{item.identifier}"
  }
  puts "==="
  
  # Walk the list of parent items
  puts "---"
  item = @item
  until item.nil? do
    puts "found: #{item.identifier}"
    item = item.parent
  end
  puts "---"
  
  html_list = Array.new
  html_item = String.new
  first_item = true
  
  # Work out the page path
  page_path.reverse_each{|path_item|
    if not path_item.nil? then
      if first_item then
        html_item = "<a href=\"#{path_to_url(path_item.attributes[:filename])}\" class=\"current\">" + path_item.attributes[:title] + "</a>"
        html_list << html_item
        
        first_item = false
      else
        html_item = "<a href=\"#{path_to_url(path_item.attributes[:filename])}\">" + path_item.attributes[:title] + "</a>"
        html_list << html_item
      end
    end
  }
  
  # Return the path
  return page_path(html_list)
end

def path_to_url(path)
  page_dir = File.dirname(path)
  return page_dir[13..page_dir.length] + "/" + "index.html"
end

def page_path(element_list)
  path = ""
  first_item = true
  
  element_list.reverse_each{|element|
    if first_item then
      path << element
      
      first_item = false
    else
      path << "	&raquo; " << element
    end
  }
  
  return path
end